summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Phillips <write2david@gmail.com>2011-03-10 23:52:55 -0600
committerDavid Phillips <write2david@gmail.com>2011-03-10 23:52:55 -0600
commit4e0efe7f8017fb3a0a858029c5a9e72843ce2599 (patch)
tree28883d0a46f31ab114ffb5b599dc8ef6be1eddc6 /x11-misc/easystroke/easystroke-0.5.4.ebuild
parentAdding temerge, version 0.47 (diff)
downloadwrite2David-4e0efe7f8017fb3a0a858029c5a9e72843ce2599.tar.gz
write2David-4e0efe7f8017fb3a0a858029c5a9e72843ce2599.tar.bz2
write2David-4e0efe7f8017fb3a0a858029c5a9e72843ce2599.zip
Adding easystroke
Diffstat (limited to 'x11-misc/easystroke/easystroke-0.5.4.ebuild')
-rw-r--r--x11-misc/easystroke/easystroke-0.5.4.ebuild36
1 files changed, 36 insertions, 0 deletions
diff --git a/x11-misc/easystroke/easystroke-0.5.4.ebuild b/x11-misc/easystroke/easystroke-0.5.4.ebuild
new file mode 100644
index 0000000..b4be3f2
--- /dev/null
+++ b/x11-misc/easystroke/easystroke-0.5.4.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+# Temporarily adding to write2David overlay until someone official can put it in
+# the sunrise or Portage tree. Bug #253783.
+
+inherit eutils
+
+DESCRIPTION="Easystroke is a gesture-recognition application for X11."
+HOMEPAGE="http://easystroke.wiki.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+
+DEPEND="dev-cpp/gtkmm
+ x11-libs/libXrandr
+ x11-apps/xinput
+ x11-libs/libXtst
+ dev-libs/boost
+ dev-libs/dbus-glib
+ dev-util/intltool"
+RDEPEND="${DEPEND}"
+
+src_compile() {
+ sed -i "s/^LDFLAGS/#LDFLAGS/" Makefile || die "sed Makefile failed!"
+ sed -i "s!^Icon=easystroke!Icon=/usr/share/icons/hicolor/scalable/apps/easystroke.svg!" easystroke.desktop.in || die "sed easystroke.desktop.in failed!"
+ emake DESTDIR="${D}" PREFIX="/usr/" || die "emake failed!"
+}
+
+src_install() {
+ emake DESTDIR="${D}" PREFIX="/usr" install || die "emake install failed!"
+}